# Uses of Interface
org.bukkit.entity.SkeletonHorse

Packages that use SkeletonHorse
Package
Description
com.destroystokyo.paper.entity.ai
com.destroystokyo.paper.event.entity

## Uses of SkeletonHorse in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type SkeletonHorse
Modifier and Type
Field
Description
`static final GoalKey<SkeletonHorse>`
VanillaGoal.`HORSE_TRAP`
Deprecated.
`static final GoalKey<SkeletonHorse>`
VanillaGoal.`SKELETON_TRAP`

## Uses of SkeletonHorse in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return SkeletonHorse
Modifier and Type
Method
Description
`@NotNull SkeletonHorse`
SkeletonHorseTrapEvent.`getEntity()`
Constructors in com.destroystokyo.paper.event.entity with parameters of type SkeletonHorse
Modifier
Constructor
Description
``
`SkeletonHorseTrapEvent(@NotNull SkeletonHorse horse)`
``
`SkeletonHorseTrapEvent(@NotNull SkeletonHorse horse, @NotNull List<HumanEntity> eligibleHumans)`